Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158423 - RHEL has old version of mod_auth_kerb
Summary: RHEL has old version of mod_auth_kerb
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mod_auth_kerb
Version: 4.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-22 05:20 UTC by Alex Hochberger
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-23 18:18:16 UTC


Attachments (Terms of Use)

Description Alex Hochberger 2005-05-22 05:20:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/312.1 (KHTML, like Gecko) Safari/312

Description of problem:
The version included with RHEL is still based upon rc4.5, which has several enhancements, including 
the ability to delegate Basic auth to another module (if you want to take Kerberos tickets, but pass 
along User/Password information to a database or other source).  In addition, I have been working with 
the mod_auth_kerb authors on strange issues with Apple's Safari not working with mod_auth_kerb, and 
having an old version of mod_auth_kerb prevents working on it.

Please continue to update the RHEL support to the newer RCs as the Fedora package is updated.

This plus PHP-XMLRPC is allowing me to upgrade SEVERAL servers to RHEL 4 from RHEL 3 and RH9, 
OpenBSD, etc., making this an extremely useful feature.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Compare changelog from Fedora project
  

Additional info:

Comment 1 Suzanne Hillman 2005-05-23 18:18:16 UTC
In order to file a RHEL feature request, please either contact Red Hat's
Technical Support line at 888-REDHAT-1 or file a web ticket at
http://www.redhat.com/apps/support/.  Bugzilla is not an official support
channel, has no response guarantees, and may not route your request to the
correct area to assist you.  Using the official support channels above will
guarantee that your issue is handled appropriately and routed to the
individual or group which can best assist you with this issue and will also
allow Red Hat to track the issue, ensuring that any applicable feature
addition is included in all releases and is not dropped from a future update
or major release.


Note You need to log in before you can comment on or make changes to this bug.